﻿/*

*/
(function () {
    'use strict';

    function translationValueOrderFilter() {

        return function (items, field, reverse) {

            if (items !== undefined) {
                var filtered = [];
                angular.forEach(items, function (item) {
                    filtered.push(item);
                });
                filtered.sort(function (a, b) {
                    return (a[field] > b[field] ? 1 : -1);
                });
                if (reverse) filtered.reverse();
                return filtered;
            }
        };
    }
    angular.module('umbraco.filters')
        .filter('translateOrderBy', translationValueOrderFilter);
})();